Subject: Re: GPS fun on Droid 4 and leste

From: Tony Lindgren <[email-masked]>
Date: Thu, 20 Aug 2020 07:24:31 +0300

* Pavel Machek <[email-masked]> [200712 09:28]:
> Hi!
> 
> GPS on the droid 4 does not really work out of the box.
> 
> gpsd is not in default installation, maybe it should be?
> 
> What is worse, there's something broken with gpsd. Try:
> 
> /usr/sbin/gpsd -N -D 5 /dev/gnss0
> gpspipe -w
> # this seems to work, but do ^C and restart
> gpspipe -w
> ...and it hangs.

Some earlier versions of gpsd I think had issues where you could
only connect one client. Or it was a bug in the kernel drivers..
Anyways, multiple gpspipe instances have been working for me for
a while now with gpsd-3.21.

I also found some issues in gnss-motmdm driver for closing the
gnss device, see:

https://github.com/tmlind/linux/commits/droid4-pending-v5.8

And I think the xtra2.bin data for agps is now working too :)

https://github.com/tmlind/droid4-agps/commits/master

At least I now get a fix in about two minutes after running the
update.sh, going outside, and starting cgps.

> xgps from gpsd-clients is broken: probably missing dependency
> on gtk3 libraries.
> 
> user@devuan-droid4:/my/tui/lib$ xgps
> Traceback (most recent call last):
>   File "/usr/bin/xgps", line 30, in <module>
>       gi.require_version('Gtk', '3.0')
>  File "/usr/lib/python2.7/dist-packages/gi/__init__.py", line
>  129, in require_version
>  raise ValueError('Namespace %s not available' % namespace)
>  ValueError: Namespace Gtk not available
> 
> Any ideas?

No idea about the xgps related stuff, I mostly use cgps for
testing with GPSD_UNITS=metric cgps.

Regards,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel